FROM centos:8

ENV container docker
LABEL maintainer="The CentOS Project <cloud-ops@centos.org>"

# Remove unnecessary systemd services and targets
RUN (cd /lib/systemd/system/sysinit.target.wants/; \
    for i in *; do \
        [ $i == systemd-tmpfiles-setup.service ] || rm -f $i; \
    done); \
    rm -f /lib/systemd/system/multi-user.target.wants/*; \
    rm -f /etc/systemd/system/*.wants/*; \
    rm -f /lib/systemd/system/local-fs.target.wants/*; \
    rm -f /lib/systemd/system/sockets.target.wants/*udev*; \
    rm -f /lib/systemd/system/sockets.target.wants/*initctl*; \
    rm -f /lib/systemd/system/basic.target.wants/*; \
    rm -f /lib/systemd/system/anaconda.target.wants/*;

VOLUME [ "/sys/fs/cgroup" ]

CMD ["/usr/sbin/init"]
